#include <iostream>

/*
Program splitenv, version 1.0, 19.08.2008.

The program is designed for readable printing content of the PATH 
and PATH-like environment variables.

The principle of its actions is that it splits input string into several 
strings acording to : sign.

For example, if the PATH is:

shell> printenv PATH 
.:/home/username/scripts:/home/username/bin:/any_package/new/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin

than the result ( and the typical method) of application of this program
will be:

shell> printenv PATH | splitpath
.
/home/username/scripts
/home/username/bin
/any_package/new/bin
/usr/local/bin
/usr/bin
/bin
/usr/X11R6/bin

This latter output seems to be much more readable.

The program does not use any command arguments.

The standard notice: (longer than the program itself:) )

Copyright (c) 2008 I. B. Smirnov

This program can be used, copied, modified, and distributed
according to the terms of GNU General Public License version 3
published by the Free Software Foundation 29 June 2007,
and provided that the above copyright notice, this permission notice, 
and notices about any modifications of the original text
appear in all copies and in supporting documentation.
The program is provided "as is" without express or implied warranty.;
*/

int main(void)
{
  char c;
  std::cin.get(c);
  while(!std::cin.eof())
  {
    if(c == ':')
      c = '\n';
    std::cout.put(c);
    std::cin.get(c);
  };
}
  
